Logic 9 may work with Power PC
Old 24th July 2009
  #1
Lives for gear
 
Firechild's Avatar
 

Thread Starter
Logic 9 may work with Power PC

According to a post on Sonikmatter, Logic 9 is Universal Binary so there will be a good chance running Logic 9 on power PC macs.

Edit: I have removed the instructions how to modify the installer package, due to respect for the Apple guys. But FYI it is possible to install Logic 9 on 10.5.5 with some plist editing.
Old 24th July 2009
  #2
3 + infractions, forum membership suspended.
 
7161's Avatar
 

well i'm installing it right now on a G5 dual. It didnt show any special messages, and the install is going on so far

dual 2.0ghz G5 - 4gb ram
Old 24th July 2009
  #3
Gear interested
 

Quote:
Originally Posted by 7161 View Post
well i'm installing it right now on a G5 dual. It didnt show any special messages, and the install is going on so far

dual 2.0ghz G5 - 4gb ram
Please let us know how it goes !!
Old 24th July 2009
  #4
Lives for gear
 
staudio's Avatar
 

Quote:
Originally Posted by 7161 View Post
well i'm installing it right now on a G5 dual. It didnt show any special messages, and the install is going on so far

dual 2.0ghz G5 - 4gb ram
Did you have to do anything special, modify some files like the OP said? Or just pop the discs in and go?

I really hope it works.
Old 24th July 2009
  #5
Gear Head
 

Yes, please keep us updated. Your results could potentially save me upwards of $3000
Old 24th July 2009
  #6
Gear maniac
 
fader8's Avatar
 

First report in on a G5 Quad install:

Logic Pro Help :: Log in

This may be good news for me! But I'll wait a little bit.
Old 25th July 2009
  #7
3 + infractions, forum membership suspended.
 
7161's Avatar
 

100%!! pop disks in and go! no problems at all

i've got the dual 2.0ghz G5 running the demo-content Killers song now! - it's got 80 track and tons of plugs, 8 space designers or so in the song - seems very efficient - 4gb ram the machine has

oh it's also running a Killers video in sync, lol

i'm keeping a video diary anyways, i'll add the g5 install tonight to youtube for ya fella
Old 25th July 2009
  #8
Gear maniac
 
obliterations's Avatar
 

Quote:
Originally Posted by 7161 View Post
100%!! pop disks in and go! no problems at all

i've got the dual 2.0ghz G5 running the demo-content Killers song now! - it's got 80 track and tons of plugs, 8 space designers or so in the song - seems very efficient - 4gb ram the machine has

oh it's also running a Killers video in sync, lol

i'm keeping a video diary anyways, i'll add the g5 install tonight to youtube for ya fella
This is good news. I have the same Mac you do. I have a MBP, but use the G5 in the studio. I don't often run into limitations so I don't feel the need to upgrade!

Please keep us posted!
Old 25th July 2009
  #9
Lives for gear
 
code 10's Avatar
 

Well.......

I've gone and done the dead and ordered a copy of LP9 just now, fingers crossed that it will instal and work on my Dual 1.8 G5, I'll let you guys know how it goes down as others may be thinking of doing similar, I really debated hard today about getting a Windows based machine since the last episode with LP8.

I'll leave my bitching to one side for a moment and see how this all pans out, fingers crossed
Old 25th July 2009
  #10
Lives for gear
 
Benmrx's Avatar
 

Quote:
Originally Posted by 7161 View Post
100%!! pop disks in and go! no problems at all

i've got the dual 2.0ghz G5 running the demo-content
What operating system. Seems another G.S.'er (ruffus I think) is having crash problems on opening and he's running 10.5.7 (I think that's what it was anyways)
Old 25th July 2009
  #11
Lives for gear
 
pendejo's Avatar
Quote:
Originally Posted by 7161 View Post
100%!! pop disks in and go! no problems at all

i've got the dual 2.0ghz G5 running the demo-content Killers song now! - it's got 80 track and tons of plugs, 8 space designers or so in the song - seems very efficient - 4gb ram the machine has

oh it's also running a Killers video in sync, lol

i'm keeping a video diary anyways, i'll add the g5 install tonight to youtube for ya fella
That's great news. It's the exact configuration I have. Upgrade ordered. Thanks
Old 25th July 2009
  #12
Lives for gear
 
Rufuss Sewell's Avatar
 

it's definitely not happening for me. I've reinstalled L9 a bunch of times, repaired permissions, deleted prefs for L8... it crashes every time at opening.
Old 25th July 2009
  #13
Lives for gear
 
Benmrx's Avatar
 

It seems to be working for others, but from what I can see you're the only that's posted what operating system they're running. Maybe it just doesn't like the G5 + 10.5.7 combo?

To anyone that is succesfully running Logic 9 on a PPC G5 PLEASE tell us which OS you have.
Old 25th July 2009
  #14
3 + infractions, forum membership suspended.
 

Quote:
Originally Posted by Benmrx View Post
It seems to be working for others, but from what I can see you're the only that's posted what operating system they're running. Maybe it just doesn't like the G5 + 10.5.7 combo?

To anyone that is succesfully running Logic 9 on a PPC G5 PLEASE tell us which OS you have.
regardless of CPU 10.5.7 is required.

Apple - Logic Studio - Technical Specifications
Old 25th July 2009
  #15
Gear interested
 

Logic Studio 9 on PPC G5 Quad

Hi Guys I'm just dropping by to report that Logic Studio 9 is alive and well running with no problems or crashes here on my PPC G5 Quad and also on my MacBook Pro. I got my upgrade from the Apple store today. I know the specs say Intel only but it installed on the G5 Quad with no trouble and is running great :-) and Yes OS X 10.5.7 is required.

JH

Last edited by Bassneck; 25th July 2009 at 10:00 AM.. Reason: additional info :-)
Old 25th July 2009
  #16
Lives for gear
 
Nowak's Avatar
 

Brill news....what OS are you running there Bass?

Stef
Old 25th July 2009
  #17
Lives for gear
 
Benmrx's Avatar
 

Old 25th July 2009
  #18
3 + infractions, forum membership suspended.
 

Quote:
Originally Posted by Bassneck View Post
Hi Guys I'm just dropping by to report that Logic Studio 9 is alive and well running with no problems or crashes here on my PPC G5 Quad and also on my MacBook Pro. I got my upgrade from the Apple store today. I know the specs say Intel only but it installed on the G5 Quad with no trouble and is running great :-) and Yes OS X 10.5.7 is required.

JH
and you just installed on the G5 as if it was an intel mac? no work arounds or anything?
Old 25th July 2009
  #19
3 + infractions, forum membership suspended.
 
7161's Avatar
 

10.5.7 here (g5 dual 2.0)
Old 25th July 2009
  #20
Lives for gear
 
Nowak's Avatar
 

Great, might take the plunge tomorrow.

Dual 2.0Ghz here also.

Will have to upgrade to Leopard also.

Is it zipping along on the Dual 2 OK?

Stef
Old 25th July 2009
  #21
Lives for gear
 
Rufuss Sewell's Avatar
 

@7161

Did you have L8 installed? Garageband? Final Cut?

I'm uninstalling everything associated with L8, L9, garageband, FCP and trying again. Wish me luck!
Old 25th July 2009
  #22
Gear interested
 

Smile

Hello guys, I just saw your replies.

<Brill news....what OS are you running there Bass?>

To Stef :-)

Leopard 10.5.7 on a G5 Quad 12 gis of ram and 2 Terabyte drives installed.


<Apple - Logic Studio - Technical Specifications
Sure, but it also says on that page that an intel processor is required.>

To Ignatius :-)

Yes I saw that too. And?
I guess that means that It's like they say, not supported.
I take that to mean you can't get tech support questions answered unless you've got it installed on an Intel Mac.
Not supported does not mean it wont install or run normally. In this case it means don't call us because we
told you your machine is not supported. Lol :-)


<and you just installed on the G5 as if it was an intel mac? no work arounds or anything?>

That's exactly what I did guys. No tricks or workarounds. The installers on the DVD's are Universal Binary. That means the installers have code that works for both type of Mac's.

I Just feed G5 the DVD's one at a time and waited a long time for it to complete it's installation.

Just like Logic Pro 8, it can take hours to install. Your mileage may vary :-)

For my MacBook Pro, I knew I was short on HD space So I formatted an external FW drive and Installed Leopard on it and then I used Software update to check for new software and got all of the other Apple updates including 10.5.7. After It said "your Software is up to date" I then installed Logic Studio. Even on an Intel Mac it's still takes hours to install :-(

Simply put Apple want's us to buy new Macs right away and is not listing the G5's as being supported on purpose. So for now as far as I can tell. G5's and Logic Pro 9
get along very well :-) I do, want a new Mac Pro but it can wait.

A few tips;
Make sure you have enough HD space for the full install. if your HD is mostly full then you may get some "Boo Boo's in the soup. LOL

Another one is to Repair Disk Permisions before and after the install.
It's not necessary to do this but it sure helps to keep your machine well maintained.

All the best guys.

Bassneck


__________________
Old 25th July 2009
  #23
Lives for gear
 
Benmrx's Avatar
 

Awsome! Thx for the update.
Old 25th July 2009
  #24
Lives for gear
 
Rufuss Sewell's Avatar
 

I'm having no luck here. Just uninstalled all that stuff including prefs and packages and reinstalled L9. Repaired permissions before and after, and it's still crashing as soon as it opens. Am I really going to have to do a clean install of Leopard?
Old 25th July 2009
  #25
Lives for gear
 
Rufuss Sewell's Avatar
 

Another weird thing is that it's still not letting me select compressor and Soundtrack Pro because it has detected an older Final Cut Pro. I don't use FCP at all so I attempted to completely uninstall it. I'm pretty sure I got all of the .pkg files in Receipts.

Maybe this has something to do with it.
Old 25th July 2009
  #26
Lives for gear
 
Firechild's Avatar
 

Thread Starter
Quote:
Originally Posted by ignatius View Post
regardless of CPU 10.5.7 is required.

Apple - Logic Studio - Technical Specifications
With the instructions in the first post you should be able to install on earlier versions.
I will test to install on 10.5.5 next week. Will report then.
Old 25th July 2009
  #27
Lives for gear
 
Rufuss Sewell's Avatar
 

Old 25th July 2009
  #28
Lives for gear
 
Rufuss Sewell's Avatar
 

I seem to be able to open new projects just fine. Unfortunately it looks like Toontrack Superior crashes Logic 9. AND pretty much all of my projects have Superior on them since I use it for a fancy click track. hmph...
Old 25th July 2009
  #29
Lives for gear
 
noiseflaw's Avatar
 

Quote:
Originally Posted by 7161 View Post
100%!! pop disks in and go! no problems at all

i've got the dual 2.0ghz G5 running the demo-content Killers song now! - it's got 80 track and tons of plugs, 8 space designers or so in the song - seems very efficient - 4gb ram the machine has

oh it's also running a Killers video in sync, lol

i'm keeping a video diary anyways, i'll add the g5 install tonight to youtube for ya fella
Good news!

I have this mac, same ram and a newer 8 Core mac I'm not yet using... Still so attached to Tiger on my G5.

Interested to pull up a session that maxes out my G5 and see how it fares...
Old 25th July 2009
  #30
Lives for gear
 

Quote:
Originally Posted by Rufuss Sewell View Post
I seem to be able to open new projects just fine. Unfortunately it looks like Toontrack Superior crashes Logic 9. AND pretty much all of my projects have Superior on them since I use it for a fancy click track. hmph...
Which version and can anyone else confirm this (anyone on 10.5.7 on a MacIntel in particular)? Thanks.
New Reply Submit Thread to Facebook Facebook  Submit Thread to Twitter Twitter  Submit Thread to LinkedIn LinkedIn  Submit Thread to Google+ Google+ 
 
Thread Tools
Search this Thread
Search this Thread:

Advanced Search
Similar Threads
Thread
Thread Starter / Forum
Replies
sps@sin / Music Computers
12
thewelfareline / Geekslutz forum
0
JazzYoda / Geekslutz forum
15

Forum Jump
 
Register FAQ Search Today's Posts Mark Forums Read Search